org.apache.ignite.internal.processors.odbc

## Interface SqlListenerRequestHandler

All Known Implementing Classes:
  JdbcRequestHandler, OdbcRequestHandler

    public interface SqlListenerRequestHandler

SQL listener request handler.

### Method Summary

Methods
`SqlListenerResponse` `handle(SqlListenerRequest req)` Handle request.
`SqlListenerResponse` `handleException(Exception e)` Handle exception.

### Method Detail

#### handle

    SqlListenerResponse handle(SqlListenerRequest req)

Handle request.

Parameters:
  `req` - Request.
Returns:
  Response.

#### handleException

    SqlListenerResponse handleException(Exception e)

Handle exception.

Parameters:
  `e` - Exception.
Returns:
  Error response.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017